import { setMapConfig } from './mapConfig'
import MapInstance from './mapInstance'

const mapList = {}
let invokeCallback , emitCustomEvent, FinChatJSBridge


export function injectBridgeHelpers  (callback, eventEmitter, jsBridge)  {
  invokeCallback = callback
  emitCustomEvent = eventEmitter
  FinChatJSBridge = jsBridge
  FinChatJSBridge.subscribe('doMapAction', (args) => {
    mapList[args.data.mapId].doMapAction(args.data)
  })
}

export async function insertNativeMap (event, params, callbackId) {
  const newMap = new MapInstance(event, params, callbackId, invokeCallback,  emitCustomEvent, FinChatJSBridge)
  mapList[params.cid] = newMap
}

export function updateNativeMap (event, params, callbackId) {
  mapList[params.cid] && mapList[params.cid].mapUpdate(params)
}

export function removeNativeMap (event, params, callbackId) {
  mapList[params.cid] && mapList[params.cid].mapInstance.destroy()
}

export function loadConfig (mapConfig = {}) {
  setMapConfig(mapConfig)
}




